<?php
require __DIR__."/../vendor/autoload.php";

$baseEntities = json_decode(file_get_contents(__DIR__."/basic_entities.json"), true);
$conId = $baseEntities['connectionId'];

$metaConnParams = $baseEntities['metaConnection'];
$metaConnParams['user'] = $metaConnParams['username'];
$metaConnParams['password'] = \Zeedhi\Tools\Generator\ConnectionConfig::decryptPassword($metaConnParams['password']);

$metaConnection = \Doctrine\DBAL\DriverManager::getConnection($metaConnParams);
$query = <<<SQL
SELECT T.NAME AS TABLE_NAME, S.NAME AS SUBMODEL_NAME
  FROM ZH_TABLE T
  JOIN ZH_TABLE_SUBMODEL TS
    ON T.ID = TS.TABLE_ID
  JOIN ZH_SUBMODEL S
    ON S.ID = TS.SUBMODEL_ID
WHERE T.CONNECTION_ID = :CONNECTION_ID
SQL;
$arr = array('CONNECTION_ID' => $conId);
$tablesAndSubModels = $metaConnection->fetchAll($query, $arr);

$subModelsByTable = array();
foreach($tablesAndSubModels as $row) {
    $subModelsByTable[$row['TABLE_NAME']] = $row['SUBMODEL_NAME'];
}

$baseEntities['subModelsByTables'] = $subModelsByTable;

file_put_contents(__DIR__.'/../entities.json', json_encode($baseEntities, JSON_PRETTY_PRINT));